<?php

declare(strict_types=1);

namespace App;

use Nette\Bootstrap\Configurator;


class Bootstrap
{
	public static function boot(): Configurator
	{
		$configurator = new Configurator;
		$appDir = dirname(__DIR__);

		//$configurator->setDebugMode('secret@23.75.345.200'); // enable for your remote IP
		$configurator->setDebugMode(TRUE); // enable for your remote IP
		//$configurator->enableTracy(sys_get_temp_dir());
		//$configurator->setTempDirectory(sys_get_temp_dir());

		$configurator->setTimeZone('Europe/Prague');
		$configurator->setTempDirectory(sys_get_temp_dir());

		$configurator->createRobotLoader()
			->addDirectory(__DIR__)
			->register();

		$configurator->addConfig($appDir . '/config/common.neon');
		$configurator->addConfig($appDir . '/config/local.neon');
		$configurator->addConfig($appDir . '/config/doctrine.neon');

		return $configurator;
	}
}
